#GroupData
{
    position: absolute;

    left: 3.9%;
    top: 17.9%;

    box-sizing: border-box;

    width: 20.5%;
    height: 35.5%;

    padding-left: 0.8%;
    padding-right: 0.8%;
    padding-top: 4%;
}

#GroupData #GroupDataButtonRenewableMode
{
    position: absolute;

    left: 13.7%;
    top: 111.5%;

    box-sizing: border-box;

    width: 74.6%;
    height: 12.5%;
}

#GroupData #GroupDataButtonRenewableMode:hover, #GroupData #GroupDataButtonRenewableMode.on:hover
{
    cursor: pointer;

    background-color: #00ff0022;
}

#GroupData #GroupDataButtonRenewableMode.on
{
    background-color: #00ff0044;
}

#GroupData #GroupDataPopupRenewableMode
{
    position: absolute;

    z-index: 1;

    box-sizing: border-box;

    width: 100%;
    font-family: Astronaut;
    font-size: 1.95vw;

    text-align: center;

    border: 2px solid #00aa00dd;
    background-color: #002200cc;
    color: #00ff00ee;
}

#GroupData #ExtractionGraph
{
    position: absolute;

    width: 92%;
    height: 66.0%;

    display: flex;
    align-items: flex-end;
    justify-content: space-between;
}

#GroupData #ExtractionGraph .element.indicator
{
    flex: 1;

    box-sizing: border-box;

    margin-left: 7%;
    margin-right: 7%;

    border: 1px solid #000000c0;

    white-space: nowrap;
    overflow-y: hidden;

    text-align: center;
    color: black;
}

#GroupData #ExtractionGraph .element.indicator.air
{
    background-color: #11a911;
}
#GroupData #ExtractionGraph .element.indicator.earth
{
    background-color: #9d7604;
}
#GroupData #ExtractionGraph .element.indicator.fire
{
    background-color: #dd3b50;
}
#GroupData #ExtractionGraph .element.indicator.water
{
    background-color: #1291d5;
}

#GroupData #GroupDataElementSamples
{
    position: absolute;

    left: 5.8%;
    top: 85.8%;

    box-sizing: border-box;

    width: 88.6%;
    height: 19.5%;
}

#GroupData #GroupDataElementSamples .audio.item.container
{
    position: absolute;

    width: 21.5%;
}

#GroupData #GroupDataElementSamples .audio.item.container.air
{
    left: 78.4%;
}
#GroupData #GroupDataElementSamples .audio.item.container.earth
{
    left: 0.0%;
}
#GroupData #GroupDataElementSamples .audio.item.container.fire
{
    left: 26.2%;
}
#GroupData #GroupDataElementSamples .audio.item.container.water
{
    left: 52.4%;
}

#GroupData #GroupDataElementSamples .audio.item.container .item.control
{
    background-color: #ffffff88;
}

#GroupData #GroupDataElementSamples .audio.item.container .item.control:hover
{
    background-color: #88888888;
}

#GroupData #GroupDataElementSamples .audio.item.container .audio.item.source
{
    border: unset;
    background-color: #ffffff11;
}

#GroupData #GroupDataElementSamples .audio.item.container .audio.item.source.on
{
    background-color: #ffffff88;
}

#GroupData #GroupDataElementSamples .audio.item.container .audio.item.source:hover
{
    background-color: #00000088;
}

/* Meh */
#GroupData.hidden, #GroupData #ExtractionGraph.hidden
{
    display: none;
}
